---
title: "getOppositeEdge"
subtitle: "Function in std::sketch"
excerpt: "Get the opposite edge to the edge given."
layout: manual
---

Get the opposite edge to the edge given.

```kcl
getOppositeEdge(@edge: TagIdentifier): Uuid
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `edge` | [`TagIdentifier`](/docs/kcl-lang/types#TagIdentifier) | The tag of the edge you want to find the opposite edge of. | Yes |

### Returns

`Uuid`


### Examples

```kcl
exampleSketch = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> line(end = [10, 0])
  |> angledLine(angle = 60, length = 10)
  |> angledLine(angle = 120, length = 10)
  |> line(end = [-10, 0])
  |> angledLine(angle = 240, length = 10, tag = $referenceEdge)
  |> close()

example = extrude(exampleSketch, length = 5)
  |> fillet(radius = 3, tags = [getOppositeEdge(referenceEdge)])
```

![Rendered example of getOppositeEdge 0](data:image/png;base64,[encoded data, 97900 characters])


